Loading...
Searching...
No Matches
gsm29205.h File Reference
3GPP TS 29.205
`#include <osmocom/core/msgb.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_gcr_parsed
| Parsed representation of Global Call Reference, 3GPP TS 29.205 Table B 2.1.9.1. More...

## Macros

#define | OSMO_GCR_MIN_LEN 13

## Functions

uint8_t | osmo_enc_gcr (struct msgb *msg, const struct osmo_gcr_parsed *g)
| Create Global Call Reference.
int | osmo_dec_gcr (struct osmo_gcr_parsed *gcr, const uint8_t *elem, uint8_t len)
| Decode Global Call Reference, 3GPP TS 29.205 Table B 2.1.9.1.
bool | osmo_gcr_eq (const struct osmo_gcr_parsed *gcr1, const struct osmo_gcr_parsed *gcr2)
| Compare two GCR structs.